[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated: explicitly stop taler services o
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated: explicitly stop taler services on uninstall |
Date: |
Fri, 27 Dec 2024 11:53:57 +0100 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository exchange.
The following commit(s) were added to refs/heads/master by this push:
new 34ebf76f1 explicitly stop taler services on uninstall
34ebf76f1 is described below
commit 34ebf76f1b7089120b9774f77078f9960bf265d7
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Fri Dec 27 11:53:49 2024 +0100
explicitly stop taler services on uninstall
---
debian/taler-auditor.prerm | 15 +++++++++++++++
debian/taler-exchange.prerm | 5 +++++
2 files changed, 20 insertions(+)
diff --git a/debian/taler-auditor.prerm b/debian/taler-auditor.prerm
new file mode 100644
index 000000000..7388c74f3
--- /dev/null
+++ b/debian/taler-auditor.prerm
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+if [ -f /usr/share/debconf/confmodule ];
+then
+ . /usr/share/debconf/confmodule
+fi
+
+if [ -d /run/systemd/system ] && [ "$1" = remove ]; then
+ deb-systemd-invoke stop 'taler-auditor.target' >/dev/null || true
+ deb-systemd-invoke stop 'taler-auditor.slice' >/dev/null || true
+fi
+
+exit 0
diff --git a/debian/taler-exchange.prerm b/debian/taler-exchange.prerm
index 3ba9986a6..5dfc14a6e 100644
--- a/debian/taler-exchange.prerm
+++ b/debian/taler-exchange.prerm
@@ -7,5 +7,10 @@ then
. /usr/share/debconf/confmodule
fi
+if [ -d /run/systemd/system ] && [ "$1" = remove ]; then
+ deb-systemd-invoke stop 'taler-exchange.target' >/dev/null || true
+ deb-systemd-invoke stop 'taler-exchange.slice' >/dev/null || true
+fi
+
db_stop
exit 0
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-exchange] branch master updated: explicitly stop taler services on uninstall,
gnunet <=